const { DataTypes } = require('sequelize');
var db = require("../database/db.js");

const Local = db.sequelize.define('LOCAL', {
    ID_LOCAL: {
        type: DataTypes.INTEGER,
        primaryKey: true,
        autoIncrement: true
    },
    NOMBRE: {
        type: DataTypes.STRING(255),
        allowNull: false
    },
    ACTIVO: {
        type: DataTypes.TINYINT(1),
        defaultValue: 1
    },
    FECHA_CREACION: {
        type: DataTypes.DATE,
        allowNull: true,
        defaultValue: DataTypes.NOW
    },
    FECHA_ACTUALIZACION: {
        type: DataTypes.DATE,
        allowNull: true,
        defaultValue: DataTypes.NOW
    }
}, {
    tableName: 'LOCAL',
    timestamps: false,
    charset: 'utf8mb4',
    collate: 'utf8mb4_unicode_ci'
});

module.exports = Local;
